<?php

return [
    /**
     * ポートレット定義
     */
    'portlets' => [
        'bookmark' => [
            'package' => 'Admin',
            'class' => 0,
        ],
        'page' => [
            'package' => 'Cms',
            'class' => 0,
        ],
        'collection' => [
            'package' => 'Cms',
            'class' => 0,
        ],
        'module' => [
            'package' => 'Cms',
        ],
        'calendar' => [
            'package' => 'Cms',
            'class' => 0,
        ],
        'table' => [
            'package' => 'Cms',
        ],
        'latestPages' => [
            'package' => 'Cms',
        ],
        'latestCollections' => [
            'package' => 'Cms',
        ],
        'latestLogs' => [
            'package' => 'Admin',
        ],
    ],

    /**
     * デフォルトポートレット
     * ユーザー作成時にセットされる初期ポートレットを定義します。
     */
    'default_portlets' => [
        'top' => [],
        'left' => ['bookmark'],
        'right' => ['page'],
        'bottom' => [],
    ],

    /**
     * ロックアウト制限値
     * ログイン認証にこの回数以上失敗すると、一時的にアカウントが無効になりログインができなくなります。
     */
    'lockout_limit' => 10,

    /**
     * ロックアウト期間（分）
     * ロックアウト状態になった場合に、どれだけの期間アカウントを無効にするかを分数で指定します。
     */
    'lockout_duration' => 30,
];
