<?php

return [
    /**
     * コレクション
     */
    'store' => [
        'label' => '店舗',
        'outline' => '店舗を管理します。',
        'inputs' => [
            'name' => [
                'label' => '店舗名',
            ],
            'date' => [
                'hidden' => 1,
            ],
        ],
        'fields' => [
            'store_code' => [
                'label' => '店舗コード',
                'type' => 'text',
                'inputs' => [
                    'text' => [
                        'rule' => 'required',
                    ],
                ],
            ],
            'pref' => [
                'label' => '都道府県',
                'type' => 'select',
                'inputs' => [
                    'select' => [
                        'table' => 'pref_code',
                    ],
                ],
            ],
            'address' => [
                'label' => '住所',
                'type' => 'textarea',
            ],
            'tel' => [
                'label' => '電話番号',
                'type' => 'text',
                'inputs' => [
                    'text' => [
                        'value' => '0120-000-000',
                    ],
                ],
            ],
            'hours' => [
                'label' => '営業時間',
                'type' => 'textarea',
                'inputs' => [
                    'textarea' => [
                        'value' => '9:00～21:00',
                    ],
                ],
            ],
            'information' => [
                'label' => 'お知らせ',
                'type' => 'textarea',
            ],
        ],
        'meta' => [
            'pref' => 'pref.select',
            'store_code' => 'store_code.text',
        ],
        'search' => 1,
    ],
];
