<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Cms\Forms;

use MicroEngine\Core\Forms\Form;

class TableForm extends Form
{
    /**
     * @var array
     */
    protected $inputs = [
        'type' => [
            'label' => 'コンテンツタイプ',
            'value' => '',
            'rule' => 'required',
        ],
        'data_type' => [
            'label' => 'データタイプ',
            'value' => '',
            'rule' => 'required',
        ],
        'data' => [
            'label' => 'データ',
            'value' => '[]',
            'rule' => '',
        ],
        'edit_mode' => [
            'label' => '編集モード',
            'value' => 'create',
            'rule' => '',
        ],
        'revision_id' => [
            'label' => 'リビジョンID',
            'value' => '',
            'rule' => '',
        ],
    ];
}
