<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Cms\Portlets;

use MicroEngine\Core\Portlets\Portlet;

class Table extends Portlet
{
    /**
     * @return array
     */
    public function __invoke(): array
    {
        /* @var ContentService $contentService */
        $contentService = $this->c->contentService;
        $tables = $contentService->tableConfig();

        return compact('tables');
    }
}
