<?php
/**
 * MicroEngine CMS
 * https://microengine.jp
 *
 * (c) 2018 MicroEngine Inc.
 */

namespace MicroEngine\Core\Support;

use Slim\App;

abstract class ServiceProvider
{
    protected $app;
    protected $c;

    public function __construct(App $app)
    {
        $this->app = $app;
        $this->c = $app->getContainer();
    }

    abstract public function register();

    abstract public function boot();
}
